Supported Operating Systems

The Insight Agent is supported on Microsoft Windows, macOS, and various Linux distributions. This page defines what official support means for the functions of the Insight Agent software and details the support schedules for specific operating system (OS) versions.

How OS supportability affects agent functionality

The Insight Agent software receives regular updates (including new features, improvements, and defect fixes) designed to maintain agent performance for all supported OS versions. Running the agent on a supported version ensures that the agent software continues to receive these updates. Rapid7’s Customer Support team can also assist with any questions and troubleshoot any issues that arise with agents installed on supported OS versions.

Insight Agents installed on unsupported OS versions will continue to perform their usual tasks, but will not receive any software updates. Customer Support is unable to help install agents on unsupported OS versions, nor can they troubleshoot any issues that arise with agents installed on those versions. Additionally, the Insight Agent will not collect any new data for the InsightVM vulnerability content. However, due to the large amount of data the Insight Agent already collects, InsightVM itself will continue to detect vulnerabilities on the old content as well as the majority of new vulnerability content.

Currently supported OS versions

Refer to these tables to view the OS versions that the Insight Agent currently supports and the End-Of-Life (EOL) schedule for each.

Microsoft Windows Desktop

The Insight Agent supports Windows Desktop versions deployed with the Long-Term Servicing Channel (LTSC) where indicated.

Additional Windows requirements for InsightIDR and InsightOps subscribers

If you are installing the Insight Agent on Windows assets for use with InsightIDR or InsightOps, make sure that the event log is enabled on your assets. Refer to our InsightIDR event source documentation for more information.

NameVersionBuildArchitectureLTSCEOL for Insight Agent Support
Windows 1122H222621.674x86-64-Sep 20, 2032
Windows 1121H222000.376x86-64-Jan 13, 2032
Windows 1021H219044.1319IA-32, x86-64YesJan 13, 2032
Windows 1021H110.0.19043IA-32, x86-64-Jan 9, 2029
Windows 1020H210.0.19042IA-32, x86-64-Jan 9, 2029
Windows 1020H110.0.19041IA-32, x86-64-Jan 9, 2029
Windows 1019H210.0.18363IA-32, x86-64-Jan 9, 2029
Windows 1019H110.0.18362IA-32, x86-64-Jan 9, 2029
Windows 10v180910.0.17763IA-32, x86-64YesJan 9, 2029
Windows 10v180310.0.17134IA-32, x86-64-Oct 13, 2026
Windows 10v170910.0.16299IA-32, x86-64-Oct 13, 2026
Windows 10v170310.0.15063IA-32, x86-64-Oct 13, 2026
Windows 10v160710.0.14393IA-32, x86-64YesOct 13, 2026
Windows 10v151110.0.10586IA-32, x86-64-Oct 14, 2025
Windows 10v150710.0.10240IA-32, x86-64YesOct 14, 2025
Windows 8.1Update 16.3.9600IA-32, x86-64-Jan 10, 2023
Windows 8.1-6.3.9200IA-32, x86-64-Jan 10, 2023
Microsoft Windows Server

Additional Windows requirements for InsightIDR and InsightOps subscribers

If you are installing the Insight Agent on Windows assets for use with InsightIDR or InsightOps, make sure that the event log is enabled on your assets. Refer to our InsightIDR event source documentation for more information.

NameEOL for Insight Agent Support
Windows Server 2022Oct 14, 2031
Windows Server 2019Jan 9, 2029
Windows Server 2016Jan 11, 2027
Windows Server 2012 R2Oct 10, 2023
Windows Server 2012Oct 10, 2023
macOS
NameArchitectureEOL for Insight Agent Support
macOS Ventura 13x86-64, ARM64On the release day of macOS 17 in Q3 of 2026
macOS Monterey 12x86-64, ARM64On the release day of macOS 16 in Q3 of 2025
macOS Big Sur 11x86-64, ARM64On the release day of macOS 15 in Q3 of 2024
macOS Catalina 10.15x86-64On the release day of macOS 14 in Q3 of 2023
Linux

Oracle Enterprise Linux compatibility

The Insight Agent does not support Oracle Enterprise Linux on the Unbreakable Enterprise Kernel (UEK)

Additional Linux requirements for InsightIDR subscribers

If you install the Insight Agent on Linux assets for use with InsightIDR, the auditd library must be present, but the service must be disabled. InsightIDR must have exclusive use of the auditd service in order to successfully run the agent.job.linux.ui_realtime job.

If your organization requires that auditd be enabled at all times, see the auditd Compatibility Mode for Linux Assets article for instructions on how to ensure that both the Insight Agent and auditd services can run together.

DistributionArchitectureEOL for Insight Agent Support
Amazon Linux 2x86-64Jun 30, 2023
Amazon Linux 1x86-64Jun 30, 2023
Debian 11IA-32, x86-64Jun 1, 2026
Debian 10IA-32, x86-64Jun 1, 2024
Fedora 36x86-64May 16, 2023
Fedora 35x86-64Dec 12, 2022
Fedora 34x86-64May 17, 2022
Red Hat Enterprise Linux / Oracle Enterprise Linux / Rocky Linux 9.0x86-64May 31, 2034
Red Hat Enterprise Linux / Oracle Enterprise Linux / Rocky Linux 8.6x86-64May 31, 2031
Red Hat Enterprise Linux / Oracle Enterprise Linux / Rocky Linux 8.5x86-64May 31, 2031
Red Hat Enterprise Linux / Oracle Enterprise Linux / Rocky Linux 8.4x86-64May 31, 2031
Red Hat Enterprise Linux / Oracle Enterprise Linux / CentOS 8.3x86-64May 31, 2031
Red Hat Enterprise Linux / Oracle Enterprise Linux / CentOS 8.2x86-64May 31, 2031
Red Hat Enterprise Linux / Oracle Enterprise Linux / CentOS 8.1x86-64May 31, 2031
Red Hat Enterprise Linux / Oracle Enterprise Linux / CentOS 8.0x86-64May 31, 2031
Red Hat Enterprise Linux / Oracle Enterprise Linux / CentOS 7.0-7.9x86-64Jun 30, 2026
Red Hat Enterprise Linux / Oracle Enterprise Linux / CentOS 6.0-6.10only x86-64Jun 30, 2024
SUSE Linux Enterprise Desktop 15 SP3x86-64Jan 31, 2023
SUSE Linux Enterprise Server 15x86-64Jul 31, 2028
SUSE Linux Enterprise Server 12x86-64Oct 31, 2024
openSUSE LEAP 15.4x86-64Nov 30, 2023
openSUSE LEAP 15.3x86-64Nov 30, 2022
Ubuntu 22.04IA-32, x86-64Apr 2, 2032
Ubuntu 20.04IA-32, x86-64Apr 2, 2030
Ubuntu 18.04IA-32, x86-64Apr 2, 2028
Ubuntu 16.04IA-32, x86-64Apr 2, 2026
Ubuntu 14.04IA-32, x86-64Apr 2, 2024

FAQs

Can I install the Insight Agent on Docker containers?

The Insight Agent is not compatible with Docker containers. If you need a security solution for container deployment, see InsightCloudSec.

I have to run assets with legacy OS systems that are no longer supported by their vendor. Can I run an older agent version on them?

Yes, older versions of the Insight Agent are available for download.

Do I have to make changes to my agent if it is running on an OS version that is no longer supported?

No changes to the agent installation are required if your OS version is no longer supported, but be aware that the agent software will not receive any updates from that point on.

Where can I find more information and ask questions?

Check out the Rapid7 Discussion Forum to search for topics other community members have asked and answered, or feel free to share your own.